Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.dependencies
Class AbstractModuleDependency

    java.lang.Object
      org.gradle.api.internal.artifacts.dependencies.AbstractDependency
          org.gradle.api.internal.artifacts.dependencies.AbstractModuleDependency

All Implemented Interfaces:
  ModuleDependency

    class AbstractModuleDependency
    extends AbstractDependency

Constructor Summary
`protected AbstractModuleDependency(java.lang.String configuration)`

Method Summary
`AbstractModuleDependency` | `addArtifact(DependencyArtifact artifact)`
`DependencyArtifact` | `artifact(Closure configureClosure)`
`protected void` | `copyTo(AbstractModuleDependency target)`
`ModuleDependency` | `exclude(Map excludeProperties)`
`Set` | `getArtifacts()`
`java.lang.String` | `getConfiguration()`
`Set` | `getExcludeRules()`
`protected boolean` | `isCommonContentEquals(ModuleDependency dependencyRhs)`
`protected boolean` | `isKeyEquals(ModuleDependency dependencyRhs)`
`boolean` | `isTransitive()`
`void` | `setArtifacts(Set artifacts)`
`ModuleDependency` | `setTransitive(boolean transitive)`

Methods inherited from class AbstractDependency
copyTo, hashCode

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### AbstractModuleDependency

    protected AbstractModuleDependency(java.lang.String configuration)

Method Detail

### addArtifact

    public AbstractModuleDependency addArtifact(DependencyArtifact artifact)

### artifact

    public DependencyArtifact artifact(Closure configureClosure)

### copyTo

    protected void copyTo(AbstractModuleDependency target)

### exclude

    public ModuleDependency exclude(Map excludeProperties)

### getArtifacts

    public Set getArtifacts()

### getConfiguration

    public java.lang.String getConfiguration()

### getExcludeRules

    public Set getExcludeRules()

### isCommonContentEquals

    protected boolean isCommonContentEquals(ModuleDependency dependencyRhs)

### isKeyEquals

    protected boolean isKeyEquals(ModuleDependency dependencyRhs)

### isTransitive

    public boolean isTransitive()

### setArtifacts

    public void setArtifacts(Set artifacts)

### setTransitive

    public ModuleDependency setTransitive(boolean transitive)

Groovy Documentation